Module java.desktop
Package java.awt

## Class Component.AccessibleAWTComponent.AccessibleAWTComponentHandler

- java.lang.Object
- - java.awt.Component.AccessibleAWTComponent.AccessibleAWTComponentHandler

- All Implemented Interfaces:
    `ComponentListener`, `Serializable`, `EventListener`
  Enclosing class:
    Component.AccessibleAWTComponent

      protected class Component.AccessibleAWTComponent.AccessibleAWTComponentHandler
      extends Object
      implements ComponentListener, Serializable

  Fire PropertyChange listener, if one is registered, when shown/hidden..
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AccessibleAWTComponentHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.event.ComponentListener

      `componentHidden, componentMoved, componentResized, componentShown`

- - ### Constructor Detail

    - #### AccessibleAWTComponentHandler

          protected AccessibleAWTComponentHandler()